Kerberosの脆弱性情報(Moderate: CVE-2020-28196)

こんにちは。SIOS OSSエバンジェリスト/セキュリティ担当の面 和毅です。

11/07/2020にKerberosの脆弱性情報(Moderate: CVE-2020-28196)が公開されています。今回はこちらの脆弱性の概要と、各ディストリビューションの対応について簡単にまとめてみます。



[過去の関連リンク(最新5件)]



Priority

\n
CVE番号 影響するバージョン Priority CVSS Score / CVSS Vector
CVE-2020-28196 krb5 <= 1.17.2, 1.18.3

Red Hat: 7.5 Moderate

Red Hat: CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H

修正方法

各ディストリビューションの情報を確認してください。

CVE概要(詳細はCVEのサイトをご確認ください)

  • http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-28196
    • DoSの可能性
    • MIT Kerberos 5(krb5)の1.17.2, 1.18.3以前のバージョンでは、lib/krb5/asn.1/asn1_encode.cがBERの不定長をサポートするため、ASN.1暗号化されたKerberosメッセージで制限のない再帰を許可してしまうことがわかりました。

主なディストリビューションの対応方法

詳細は、各ディストリビューションの提供元にご確認ください


対処方法

各ディストリビューションの案内に従い、アップデートを行ってください。全てのRed Hat製品でパッチが行き渡っているかを確認するには、Red Hat SatelliteKatello、Spacewalk等を使うと管理が便利でしょう。


セキュリティ系連載案内


OSSに関するお困りごとは サイオス OSSよろず相談室まで

サイオスOSSよろず相談室 では、OSSを利用する中で発生する問題に対し、長年培ってきた技術力・サポート力をもって企業のOSS活用を強力に支援します。Red Hat Enterprise Linux のほか、CentOS をご利用されている環境でのサポートも提供いたします。

前へ

Linux Kernel (Red Hatのみ) のBluetoothでDoSまたは任意のコード実行の脆弱性(Important: CVE-2020-25661, CVE-2020-25662)

次へ

Linux KernelにDoSの脆弱性(Moderate: CVE-2020-28941)